Subject: bug#4157: 23.1.50; faulty character characterisation for ä

From: Stefan Kangas <[email-masked]>
Date: Sun, 17 Nov 2019 21:58:18 +0100

tags 4157 + notabug
close 4157
thanks

Stefan Kangas <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>> > Perhaps you're just not supposed to use anything but UTF-8 on macOS?
>>
>> Exactly.
>>
>> I'd argue this applies to GNU/Linux as well nowadays, but macsox has
>> been utf-8 only since the very beginning, AFAIK, and it (for example)
>> enforces that file names are in utf-8, so using anything else than utf-8
>> in macosx is asking for trouble.
>
> FWIW, I would've nothing against closing this as wontfix, and write
> this up as a case of "don't do that then".

No further comments here within 5 weeks.  From the above, the decision
here seems to be that we only support UTF-8 locales on macOS.  This is
the default, and there should be no reason to change it.

I'm therefore closing this as notabug.

Best regards,
Stefan Kangas